import request from '@/utils/request'
import {
    BASE
} from './apiGateway'
//儿童体检,通讯录,通知
//参考材料 https://note.youdao.com/coshare/index.html?token=7E0A5361132E4D0BA06A196DD1357B7C&gid=117741674
var physicalTestApi = {
    // 新增居家体检记录
    patientOrderList(params) {
        return request({
            url: `${BASE}/patient/examinationRecord/newRecord`,
            method: 'GET',
            params: params
        })
    },
 // 查看居民体检详情
 getRecordDetailById(params) {
     return request({
         url: `${BASE}/patient/examinationRecord/getRecordDetailById`,
         method: 'GET',
         params: params
     })
 },
 // 查看居民体检列表
 getRecordList(params) {
     return request({
         url: `${BASE}/patient/examinationRecord/getRecordList`,
         method: 'GET',
         params: params
     })
 },
 //获取教育机构列表
 getTeacherOrgList(params) {
     return request({
         url: `${BASE}/patient/getTeacherOrgList`,
         method: 'GET',
         params: params
     })
 },
 //获取教育机构医生
 getTeacherList(params) {
     return request({
         url: `${BASE}/patient/getTeacherList`,
         method: 'GET',
         params: params
     })
 },
 //获取教育机构医生
 getTeacherList(params) {
     return request({
         url: `${BASE}/patient/getTeacherList`,
         method: 'GET',
         params: params
     })
 },


}

export default physicalTestApi
